-- Anim group for Encounter starts.

WowkemonEncounterIntroFrame = CreateFrame("Frame","EncounterIntroFrame",WowkedexScreenWindowFrame)
local WowkemonEncounterParentFrame = WowkemonEncounterIntroFrame;
WowkemonEncounterParentFrame:SetSize(WowkedexScreenWindowFrame:GetSize());
WowkemonEncounterParentFrame:SetPoint("CENTER",WowkedexScreenWindowFrame,"CENTER");
WowkemonEncounterParentFrame:SetFrameLevel(20); -- Always on top!


WowkemonEncounterParentFrame.MainBackground = WowkemonEncounterParentFrame:CreateTexture(nil,"BACKGROUND");
WowkemonEncounterParentFrame.MainBackground:SetColorTexture(0,0,0,1);
WowkemonEncounterParentFrame.MainBackground:SetSize(WowkemonEncounterParentFrame:GetSize())
WowkemonEncounterParentFrame.midTexture = WowkemonEncounterParentFrame:CreateTexture(nil,"OVERLAY");
WowkemonEncounterParentFrame.midTexture:SetHeight(WowkemonEncounterParentFrame:GetHeight() - 15)
WowkemonEncounterParentFrame.midTexture:SetWidth(WowkemonEncounterParentFrame:GetWidth() - 15 )
WowkemonEncounterParentFrame.midTexture:SetTexture(WDir.."\\resources\\textures\\misc\\testStorm.tga")
WowkemonEncounterParentFrame.midTexture:SetPoint("CENTER")



WowkemonEncounterParentFrame.TextContent = WowkemonEncounterParentFrame:CreateFontString(nil,"OVERLAY","GameFontHighlight")
WowkemonEncounterParentFrame.TextContent:SetPoint("CENTER",WowkemonEncounterParentFrame,"CENTER")
WowkemonEncounterParentFrame.TextContent:SetText("A Wild Wowkemon Has Appeared!");
WowkemonEncounterParentFrame:Hide();


--

WowkemonEncounterParentFrame:SetScript("OnUpdate", function(self,elapsed)
  AnimateTexCoords(WowkemonEncounterParentFrame.midTexture,2048,256,204,128,20,elapsed,0.2)
end )

--AnimateTexCoords(texture, textureWidth, textureHeight, frameWidth, frameHeight, numFrames, elapsed, throttle)


function WowkemonEncounterIntroHandler(spawnID,uniqueLoc)
PlaySoundFile(WDir.."\\resources\\sound\\jingle_win.mp3")
HideAllWindowChildren();
WowkemonEncounterParentFrame:Show();
Wowkemon__wait(3,BeginCaptureEvent,spawnID,uniqueLoc)
Wowkemon__wait(3,function()WowkemonEncounterParentFrame:Hide();end)

end
